#| -*-Scheme-*-

Copyright (C) 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994,
    1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005,
    2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016,
    2017, 2018, 2019, 2020 Massachusetts Institute of Technology

This file is part of MIT/GNU Scheme.

MIT/GNU Scheme is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

MIT/GNU Scheme is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with MIT/GNU Scheme; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301,
USA.

|#

;;;; UCD property: Alpha (alphabetic)

;;; Generated from Unicode 9.0.0

(declare (usual-integrations))

(define (char-alphabetic? char)
  (char-in-set? char char-set:alphabetic))

(define-deferred char-set:alphabetic
  (char-set*
   '((65 . 91)         (97 . 123)      170             181               186               (192 . 215)     (216 . 247)     (248 . 706)      (710 . 722)       (736 . 741)       748               750               837               (880 . 885)       (886 . 888)     (890 . 894)       895               902               (904 . 907)     908               (910 . 930)       (931 . 1014)      (1015 . 1154)     (1162 . 1328)     (1329 . 1367)     1369              (1377 . 1416)     (1456 . 1470)     1471              (1473 . 1475)     (1476 . 1478)     1479              (1488 . 1515)     (1520 . 1523)     (1552 . 1563)     (1568 . 1624)     (1625 . 1632)     (1646 . 1748)     (1749 . 1757)     (1761 . 1769)     (1773 . 1776)     (1786 . 1789)     1791              (1808 . 1856)     (1869 . 1970)     (1994 . 2027)     (2036 . 2038)     2042              (2048 . 2072)     (2074 . 2093)     (2112 . 2137)     (2208 . 2229)     (2230 . 2238)   (2260 . 2272)     (2275 . 2282)
     (2288 . 2364)     (2365 . 2381)   (2382 . 2385)   (2389 . 2404)     (2417 . 2436)     (2437 . 2445)   (2447 . 2449)   (2451 . 2473)    (2474 . 2481)     2482              (2486 . 2490)     (2493 . 2501)     (2503 . 2505)     (2507 . 2509)     2510            2519              (2524 . 2526)     (2527 . 2532)     (2544 . 2546)   (2561 . 2564)     (2565 . 2571)     (2575 . 2577)     (2579 . 2601)     (2602 . 2609)     (2610 . 2612)     (2613 . 2615)     (2616 . 2618)     (2622 . 2627)     (2631 . 2633)     (2635 . 2637)     2641              (2649 . 2653)     2654              (2672 . 2678)     (2689 . 2692)     (2693 . 2702)     (2703 . 2706)     (2707 . 2729)     (2730 . 2737)     (2738 . 2740)     (2741 . 2746)     (2749 . 2758)     (2759 . 2762)     (2763 . 2765)     2768              (2784 . 2788)     2809              (2817 . 2820)     (2821 . 2829)     (2831 . 2833)     (2835 . 2857)     (2858 . 2865)     (2866 . 2868)   (2869 . 2874)     (2877 . 2885)
     (2887 . 2889)     (2891 . 2893)   (2902 . 2904)   (2908 . 2910)     (2911 . 2916)     2929            (2946 . 2948)   (2949 . 2955)    (2958 . 2961)     (2962 . 2966)     (2969 . 2971)     2972              (2974 . 2976)     (2979 . 2981)     (2984 . 2987)   (2990 . 3002)     (3006 . 3011)     (3014 . 3017)     (3018 . 3021)   3024              3031              (3072 . 3076)     (3077 . 3085)     (3086 . 3089)     (3090 . 3113)     (3114 . 3130)     (3133 . 3141)     (3142 . 3145)     (3146 . 3149)     (3157 . 3159)     (3160 . 3163)     (3168 . 3172)     (3200 . 3204)     (3205 . 3213)     (3214 . 3217)     (3218 . 3241)     (3242 . 3252)     (3253 . 3258)     (3261 . 3269)     (3270 . 3273)     (3274 . 3277)     (3285 . 3287)     3294              (3296 . 3300)     (3313 . 3315)     (3329 . 3332)     (3333 . 3341)     (3342 . 3345)     (3346 . 3387)     (3389 . 3397)     (3398 . 3401)     (3402 . 3405)     3406            (3412 . 3416)     (3423 . 3428)
     (3450 . 3456)     (3458 . 3460)   (3461 . 3479)   (3482 . 3506)     (3507 . 3516)     3517            (3520 . 3527)   (3535 . 3541)    3542              (3544 . 3552)     (3570 . 3572)     (3585 . 3643)     (3648 . 3655)     3661              (3713 . 3715)   3716              (3719 . 3721)     3722              3725            (3732 . 3736)     (3737 . 3744)     (3745 . 3748)     3749              3751              (3754 . 3756)     (3757 . 3770)     (3771 . 3774)     (3776 . 3781)     3782              3789              (3804 . 3808)     3840              (3904 . 3912)     (3913 . 3949)     (3953 . 3970)     (3976 . 3992)     (3993 . 4029)     (4096 . 4151)     4152              (4155 . 4160)     (4176 . 4195)     (4197 . 4201)     (4206 . 4231)     4238              (4252 . 4254)     (4256 . 4294)     4295              4301              (4304 . 4347)     (4348 . 4681)     (4682 . 4686)     (4688 . 4695)     4696            (4698 . 4702)     (4704 . 4745)
     (4746 . 4750)     (4752 . 4785)   (4786 . 4790)   (4792 . 4799)     4800              (4802 . 4806)   (4808 . 4823)   (4824 . 4881)    (4882 . 4886)     (4888 . 4955)     4959              (4992 . 5008)     (5024 . 5110)     (5112 . 5118)     (5121 . 5741)   (5743 . 5760)     (5761 . 5787)     (5792 . 5867)     (5870 . 5881)   (5888 . 5901)     (5902 . 5908)     (5920 . 5940)     (5952 . 5972)     (5984 . 5997)     (5998 . 6001)     (6002 . 6004)     (6016 . 6068)     (6070 . 6089)     6103              6108              (6176 . 6264)     (6272 . 6315)     (6320 . 6390)     (6400 . 6431)     (6432 . 6444)     (6448 . 6457)     (6480 . 6510)     (6512 . 6517)     (6528 . 6572)     (6576 . 6602)     (6656 . 6684)     (6688 . 6751)     (6753 . 6773)     6823              (6912 . 6964)     (6965 . 6980)     (6981 . 6988)     (7040 . 7082)     (7084 . 7088)     (7098 . 7142)     (7143 . 7154)     (7168 . 7222)     (7245 . 7248)   (7258 . 7294)     (7296 . 7305)
     (7401 . 7405)     (7406 . 7412)   (7413 . 7415)   (7424 . 7616)     (7655 . 7669)     (7680 . 7958)   (7960 . 7966)   (7968 . 8006)    (8008 . 8014)     (8016 . 8024)     8025              8027              8029              (8031 . 8062)     (8064 . 8117)   (8118 . 8125)     8126              (8130 . 8133)     (8134 . 8141)   (8144 . 8148)     (8150 . 8156)     (8160 . 8173)     (8178 . 8181)     (8182 . 8189)     8305              8319              (8336 . 8349)     8450              8455              (8458 . 8468)     8469              (8473 . 8478)     8484              8486              8488              (8490 . 8494)     (8495 . 8506)     (8508 . 8512)     (8517 . 8522)     8526              (8544 . 8585)     (9398 . 9450)     (11264 . 11311)   (11312 . 11359)   (11360 . 11493)   (11499 . 11503)   (11506 . 11508)   (11520 . 11558)   11559             11565             (11568 . 11624)   11631             (11648 . 11671) (11680 . 11687)   (11688 . 11695)
     (11696 . 11703)   (11704 . 11711) (11712 . 11719) (11720 . 11727)   (11728 . 11735)   (11736 . 11743) (11744 . 11776) 11823            (12293 . 12296)   (12321 . 12330)   (12337 . 12342)   (12344 . 12349)   (12353 . 12439)   (12445 . 12448)   (12449 . 12539) (12540 . 12544)   (12549 . 12590)   (12593 . 12687)   (12704 . 12731) (12784 . 12800)   (13312 . 19894)   (19968 . 40918)   (40960 . 42125)   (42192 . 42238)   (42240 . 42509)   (42512 . 42528)   (42538 . 42540)   (42560 . 42607)   (42612 . 42620)   (42623 . 42736)   (42775 . 42784)   (42786 . 42889)   (42891 . 42927)   (42928 . 42936)   (42999 . 43010)   (43011 . 43014)   (43015 . 43019)   (43020 . 43048)   (43072 . 43124)   (43136 . 43204)   43205             (43250 . 43256)   43259             43261             (43274 . 43307)   (43312 . 43347)   (43360 . 43389)   (43392 . 43443)   (43444 . 43456)   43471             (43488 . 43493)   (43494 . 43504)   (43514 . 43519) (43520 . 43575)   (43584 . 43598)
     (43616 . 43639)   43642           (43646 . 43711) 43712             43714             (43739 . 43742) (43744 . 43760) (43762 . 43766)  (43777 . 43783)   (43785 . 43791)   (43793 . 43799)   (43808 . 43815)   (43816 . 43823)   (43824 . 43867)   (43868 . 43878) (43888 . 44011)   (44032 . 55204)   (55216 . 55239)   (55243 . 55292) (63744 . 64110)   (64112 . 64218)   (64256 . 64263)   (64275 . 64280)   (64285 . 64297)   (64298 . 64311)   (64312 . 64317)   64318             (64320 . 64322)   (64323 . 64325)   (64326 . 64434)   (64467 . 64830)   (64848 . 64912)   (64914 . 64968)   (65008 . 65020)   (65136 . 65141)   (65142 . 65277)   (65313 . 65339)   (65345 . 65371)   (65382 . 65471)   (65474 . 65480)   (65482 . 65488)   (65490 . 65496)   (65498 . 65501)   (65536 . 65548)   (65549 . 65575)   (65576 . 65595)   (65596 . 65598)   (65599 . 65614)   (65616 . 65630)   (65664 . 65787)   (65856 . 65909)   (66176 . 66205)   (66208 . 66257) (66304 . 66336)   (66352 . 66379)
     (66384 . 66427)   (66432 . 66462) (66464 . 66500) (66504 . 66512)   (66513 . 66518)   (66560 . 66718) (66736 . 66772) (66776 . 66812)  (66816 . 66856)   (66864 . 66916)   (67072 . 67383)   (67392 . 67414)   (67424 . 67432)   (67584 . 67590)   67592           (67594 . 67638)   (67639 . 67641)   67644             (67647 . 67670) (67680 . 67703)   (67712 . 67743)   (67808 . 67827)   (67828 . 67830)   (67840 . 67862)   (67872 . 67898)   (67968 . 68024)   (68030 . 68032)   (68096 . 68100)   (68101 . 68103)   (68108 . 68116)   (68117 . 68120)   (68121 . 68148)   (68192 . 68221)   (68224 . 68253)   (68288 . 68296)   (68297 . 68325)   (68352 . 68406)   (68416 . 68438)   (68448 . 68467)   (68480 . 68498)   (68608 . 68681)   (68736 . 68787)   (68800 . 68851)   (69632 . 69702)   (69762 . 69817)   (69840 . 69865)   (69888 . 69939)   (69968 . 70003)   70006             (70016 . 70080)   (70081 . 70085)   70106             70108           (70144 . 70162)   (70163 . 70197)
     70199             70206           (70272 . 70279) 70280             (70282 . 70286)   (70287 . 70302) (70303 . 70313) (70320 . 70377)  (70400 . 70404)   (70405 . 70413)   (70415 . 70417)   (70419 . 70441)   (70442 . 70449)   (70450 . 70452)   (70453 . 70458) (70461 . 70469)   (70471 . 70473)   (70475 . 70477)   70480           70487             (70493 . 70500)   (70656 . 70722)   (70723 . 70726)   (70727 . 70731)   (70784 . 70850)   (70852 . 70854)   70855             (71040 . 71094)   (71096 . 71103)   (71128 . 71134)   (71168 . 71231)   71232             71236             (71296 . 71350)   (71424 . 71450)   (71453 . 71467)   (71840 . 71904)   71935             (72384 . 72441)   (72704 . 72713)   (72714 . 72759)   (72760 . 72767)   72768             (72818 . 72848)   (72850 . 72872)   (72873 . 72887)   (73728 . 74650)   (74752 . 74863)   (74880 . 75076)   (77824 . 78895)   (82944 . 83527)   (92160 . 92729)   (92736 . 92767) (92880 . 92910)   (92928 . 92983)
     (92992 . 92996)   (93027 . 93048) (93053 . 93072) (93952 . 94021)   (94032 . 94079)   (94099 . 94112) 94176           (94208 . 100333) (100352 . 101107) (110592 . 110594) (113664 . 113771) (113776 . 113789) (113792 . 113801) (113808 . 113818) 113822          (119808 . 119893) (119894 . 119965) (119966 . 119968) 119970          (119973 . 119975) (119977 . 119981) (119982 . 119994) 119995            (119997 . 120004) (120005 . 120070) (120071 . 120075) (120077 . 120085) (120086 . 120093) (120094 . 120122) (120123 . 120127) (120128 . 120133) 120134            (120138 . 120145) (120146 . 120486) (120488 . 120513) (120514 . 120539) (120540 . 120571) (120572 . 120597) (120598 . 120629) (120630 . 120655) (120656 . 120687) (120688 . 120713) (120714 . 120745) (120746 . 120771) (120772 . 120780) (122880 . 122887) (122888 . 122905) (122907 . 122914) (122915 . 122917) (122918 . 122923) (124928 . 125125) (125184 . 125252) 125255          (126464 . 126468) (126469 . 126496)
     (126497 . 126499) 126500          126503          (126505 . 126515) (126516 . 126520) 126521          126523          126530           126535            126537            126539            (126541 . 126544) (126545 . 126547) 126548            126551          126553            126555            126557            126559          (126561 . 126563) 126564            (126567 . 126571) (126572 . 126579) (126580 . 126584) (126585 . 126589) 126590            (126592 . 126602) (126603 . 126620) (126625 . 126628) (126629 . 126634) (126635 . 126652) (127280 . 127306) (127312 . 127338) (127344 . 127370) (131072 . 173783) (173824 . 177973) (177984 . 178206) (178208 . 183970) (194560 . 195102))))
